madshi bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000113madVRbugpublic2013-07-19 18:162014-04-01 18:44
ReporterDragonQ 
Assigned Tomadshi 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindows 8 x64OS VersionWindows 8 x64
Summary0000113: switching to film mode via keyboard shortcut doesn't enable SmoothMotion FRC
DescriptionIf I play a TS or MKV that is a 1080p/24 video inside a 1080i/30 stream and then enable IVTC, smooth motion does not turn on even though I'm using a 60 Hz monitor. The only way to get it to turn on is to change the smooth motion setting to "enable smooth motion frame rate conversion always".

If a file directly encoded to 1080p/24 is played, smooth motion will turn on as expected.
Steps To ReproduceSet smooth motion setting to "Enable smooth motion...only if there would be motion judder without it". Then, with your monitor set to 60 Hz, play a 1080i/30 stream that is really 1080p/24 and enable IVTC by setting the source type to "film". You will still see "movie 29.97 fps (says source filter)" and smooth motion will be off when viewing stats.
Additional InformationSample file here: http://www.aotplaza.com/Files/HTPC/Samples/1080p24%20inside%201080i30%20Sample.mkv [^]
TagsNo tags attached.
madVR Version0.86.9
Media Player (with version info)MPC-HC 1.6.8.7417
Splitter (with version info)LAV Filters 0.58.1
Decoder (with version info)LAV Filters 0.58.1
DecodingSoftware
Deinterlacingforced film mode
DXVA2 Scaling Activeno
Aero / Desktop CompositionOn
Problem occurs with modeall modes
GPU ManufacturerNVidia
GPU ModelAsus GTS 250 (1 GB)
GPU Driver Version320.49
Attached Fileszip file icon madVR - log.zip [^] (4,224,953 bytes) 2013-07-20 20:48
zip file icon madVR - log_2.zip [^] (239,278 bytes) 2013-07-20 21:14

- Relationships

-  Notes
(0000297)
madshi (administrator)
2013-07-20 15:02

Smooth motion gets turned on on my PC, using 60Hz, forced film mode and your sample. Can I see a log file, please?
(0000301)
dansrfe (reporter)
2013-07-20 20:32
edited on: 2013-07-20 20:33

I can confirm this behavior. 60Hz, smooth motion on when needed, forced film mode on a dvd results in smooth motion being set off.

(0000302)
madshi (administrator)
2013-07-20 20:33

Can I see a log file, please?
(0000303)
dansrfe (reporter)
2013-07-20 20:48

Log file added.
(0000304)
dansrfe (reporter)
2013-07-20 20:52

Is the original sample even interlaced? This just looks like progressive 29.970fps deinterlaced 60i broadcast. Unless it was flagged incorrectly in the file which is why LAV is saying it's interlaced.
(0000305)
madshi (administrator)
2013-07-20 21:00

According to that log you had DXVA deinterlacing active, not film mode.
(0000306)
dansrfe (reporter)
2013-07-20 21:11
edited on: 2013-07-20 21:14

But I changed it to film mode manually via ctrl + alt + shift + t and it said source type: film and the ivtc queue showed up. Let me make another short log.

EDIT: uploaded second log

(0000307)
madshi (administrator)
2013-07-20 21:29

That's not "forced film mode", that's manually enabled film mode. "Forced film mode" means you change the madVR settings before starting playback. If you manually switch between different deinterlacing modes, that doesn't change smooth motion FRC activation at the moment. But if you force film mode before starting playback (via settings dialog) then smooth motion FRC should be activated.
(0000308)
dansrfe (reporter)
2013-07-20 22:12

Ahh, sorry about that. Yeah, if I set it to force film mode in the settings beforehand then smooth motion turns on and Reclock actually picks up on the new 23.976fps stream as well.

Is it planned to be able to force film it via a keyboard shortcut during playback to where the above can take place?
(0000309)
madshi (administrator)
2013-07-20 22:18

Hmmmm... I guess the original issue is the same as yours. The thread title is somewhat misleading, if true. The real issue seems to be that smooth motion doesn't activate when you toggle film mode via keyboard shortcuts?

@DragonQ, can you confirm that this is the issue? And that it only occurs when using the keyboard shortcuts to switch to film mode?
(0000312)
DragonQ (reporter)
2013-07-22 13:07
edited on: 2013-07-22 13:14

Yep. If "force film mode" is set to on BEFORE I play the file, then smooth motion is enabled. If I turn it on during playback (either via keyboard shortcuts or the settings window), it stays off.

This is the first time I've ever had to even use film mode because I have no other IVTC files. :O

(0000313)
madshi (administrator)
2013-07-22 13:23

Ok, I've modified the issue title to better describe the true nature of the problem.
(0000362)
James Freeman (reporter)
2014-01-27 07:57
edited on: 2014-01-27 07:57

"switching to film mode via keyboard shortcut doesn't enable SmoothMotion FRC"

Or disabling it.

When switching to film mode (29.97 interlaced) it finds 3:2 cadence (24 fps),
but it fails to disable smooth motion on a 72Hz refresh rate monitor.

MadVR v87.3

(0000546)
madshi (administrator)
2014-04-01 18:44

Should be fixed in v0.87.9.

- Issue History
Date Modified Username Field Change
2013-07-19 18:16 DragonQ New Issue
2013-07-20 15:02 madshi Note Added: 0000297
2013-07-20 15:02 madshi Assigned To => madshi
2013-07-20 15:02 madshi Status new => feedback
2013-07-20 20:32 dansrfe Note Added: 0000301
2013-07-20 20:33 dansrfe Note Edited: 0000301 View Revisions
2013-07-20 20:33 madshi Note Added: 0000302
2013-07-20 20:48 dansrfe File Added: madVR - log.zip
2013-07-20 20:48 dansrfe Note Added: 0000303
2013-07-20 20:52 dansrfe Note Added: 0000304
2013-07-20 21:00 madshi Note Added: 0000305
2013-07-20 21:11 dansrfe Note Added: 0000306
2013-07-20 21:14 dansrfe File Added: madVR - log_2.zip
2013-07-20 21:14 dansrfe Note Edited: 0000306 View Revisions
2013-07-20 21:14 dansrfe Note Edited: 0000306 View Revisions
2013-07-20 21:29 madshi Note Added: 0000307
2013-07-20 22:12 dansrfe Note Added: 0000308
2013-07-20 22:18 madshi Note Added: 0000309
2013-07-22 13:07 DragonQ Note Added: 0000312
2013-07-22 13:07 DragonQ Status feedback => assigned
2013-07-22 13:14 DragonQ Note Edited: 0000312 View Revisions
2013-07-22 13:23 madshi Summary "Enable smooth motion...only if there would be motion judder without it" doesn't work for IVTCed videos => switching to film mode via keyboard shortcut doesn't enable SmoothMotion FRC
2013-07-22 13:23 madshi Note Added: 0000313
2014-01-27 07:57 James Freeman Note Added: 0000362
2014-01-27 07:57 James Freeman Note Edited: 0000362 View Revisions
2014-04-01 18:44 madshi Note Added: 0000546
2014-04-01 18:44 madshi Status assigned => closed
2014-04-01 18:44 madshi Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker